Language

Package: ldc @ 1.35.0

Synopsis

LLVM-based compiler for the D programming language

Description

LDC is an LLVM compiler for the D programming language. It is based on the latest DMD compiler that was written in C and is used for bootstrapping more recent compilers written in D.

Home page
http://wiki.dlang.org/LDC
Location
gnu/packages/dlang.scm (line: 219, column: 2)
Licenses

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/igv581qq0cvn04fygsmrc2cii64jpbqj-ldc-1.35.0.drv
x86_64-linuxxtensa-ath9k-elf/gnu/store/gf05yckl5s1xhlm4v09c27mykpd58dqi-ldc-1.35.0.drv
    x86_64-linuxx86_64-w64-mingw32/gnu/store/09vzaq7hx71cpfbsf44fsn6dd0mx3272-ldc-1.35.0.drv
    x86_64-linuxx86_64-linux-gnux32/gnu/store/q5l7zmnmx6r7x3l911p1qrb0qsn8li6w-ldc-1.35.0.drv
    x86_64-linuxriscv64-linux-gnu/gnu/store/mja28m0gf4wznfb9smk2i9n0d424lrlw-ldc-1.35.0.drv
    x86_64-linuxpowerpc-linux-gnu/gnu/store/2qwc60pp8b34ykamsaklawnmbdl288j4-ldc-1.35.0.drv
    x86_64-linuxpowerpc64-linux-gnu/gnu/store/x5f929dinh7l2ppkxbmnawc9xn2agfw5-ldc-1.35.0.drv
    x86_64-linuxpowerpc64le-linux-gnu/gnu/store/mwnxqck33cjc48g9zqbibrm3vylqgn3d-ldc-1.35.0.drv
    x86_64-linuxor1k-elf/gnu/store/250yslsnlc07amhqay34884mh21f33pc-ldc-1.35.0.drv
    x86_64-linuxmips64el-linux-gnu/gnu/store/4n8vl3w3fw3cq3nddpvcd2j36f50w7w9-ldc-1.35.0.drv
    x86_64-linuxi686-w64-mingw32/gnu/store/l4z4pdynmm96mi478q7bb78y6jwgmcl5-ldc-1.35.0.drv
    x86_64-linuxi586-pc-gnu/gnu/store/jkhas33qnjk9867va1yhc39brhml3n0n-ldc-1.35.0.drv
    x86_64-linuxavr/gnu/store/mb25ixmhgrl4kh7yv5g76gch3d93cpp2-ldc-1.35.0.drv
    x86_64-linuxarm-linux-gnueabihf/gnu/store/9q6k967v2hr0hm5rpi364v6r99fg6y4j-ldc-1.35.0.drv
    x86_64-linuxaarch64-linux-gnu/gnu/store/qsh3cbxrcdkwcrc6p4wjm8dx4rmrrms8-ldc-1.35.0.drv
    riscv64-linux/gnu/store/p4xsmxgfbcwr489xkf0c6zajqc3qnj90-ldc-1.35.0.drv
    powerpc-linux/gnu/store/33mna7acyqgas6qf76xhr0z0pgsfafxx-ldc-1.35.0.drv
      powerpc64le-linux/gnu/store/wfcqfpfphvh0zlaaqdi92nx8j2j423ri-ldc-1.35.0.drv
      i686-linux/gnu/store/77zfflfrn1gs4hrrbi486nfs5z4nxk5v-ldc-1.35.0.drv
      i586-gnu/gnu/store/n1gkjdjxwj1rmsn975407d6rmi4vibal-ldc-1.35.0.drv
      armhf-linux/gnu/store/v4yyrzp0rn9v0say9qnmnh0sf6cscba8-ldc-1.35.0.drv
      aarch64-linux/gnu/store/5v285farp1gpgjpg08qqmyqp5419cn0d-ldc-1.35.0.drv

      Lint warnings

      LinterMessageLocation
      input-labels

      Identify input labels that do not match package names

      label 'lld-wrapper' does not match package name 'lld-as-ld-wrapper'